package com.yunfeiyun.agmp.common.web.system.service.impl;

import java.util.Collection;
import java.util.List;

import com.yunfeiyun.agmp.common.web.system.domain.SysCusarea;
import com.yunfeiyun.agmp.common.web.system.mapper.SysCusareaMapper;
import com.yunfeiyun.agmp.common.web.system.service.ISysCusareaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 参数配置 服务层实现
 * 
 * @author 杨晓辉
 */
@Service
public class SysCusareaServiceImpl implements ISysCusareaService
{
    @Autowired
    private SysCusareaMapper sysCusareaMapper;

    /**
     * 查询区域
     *
     * @param cusareaId 区域主键
     * @return 区域
     */
    @Override
    public SysCusarea selectSysCusareaByCusareaId(String cusareaId)
    {
        return sysCusareaMapper.selectSysCusareaByCusareaId(cusareaId);
    }

    /**
     * 查询区域列表
     *
     * @param sysCusarea 区域
     * @return 区域
     */
    @Override
    public List<SysCusarea> selectSysCusareaList(SysCusarea sysCusarea)
    {
        return sysCusareaMapper.selectSysCusareaList(sysCusarea);
    }

    /**
     * 新增区域
     *
     * @param sysCusarea 区域
     * @return 结果
     */
    @Override
    public int insertSysCusarea(SysCusarea sysCusarea)
    {
        return sysCusareaMapper.insertSysCusarea(sysCusarea);
    }

    /**
     * 修改区域
     *
     * @param sysCusarea 区域
     * @return 结果
     */
    @Override
    public int updateSysCusarea(SysCusarea sysCusarea)
    {
        return sysCusareaMapper.updateSysCusarea(sysCusarea);
    }

    /**
     * 批量删除区域
     *
     * @param cusareaIds 需要删除的区域主键
     * @return 结果
     */
    @Override
    public int deleteSysCusareaByCusareaIds(String[] cusareaIds)
    {
        return sysCusareaMapper.deleteSysCusareaByCusareaIds(cusareaIds);
    }

    /**
     * 删除区域信息
     *
     * @param cusareaId 区域主键
     * @return 结果
     */
    @Override
    public int deleteSysCusareaByCusareaId(String cusareaId)
    {
        return sysCusareaMapper.deleteSysCusareaByCusareaId(cusareaId);
    }
}
